From e70303c68e2d95e6c6411b6f80ee57212d99081a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:18 +0000
Subject: [PATCH 449/2232] Disallow passing CxxVector by move


---

diff --git a/syntax/check.rs b/syntax/check.rs
index 4f52cb6..b61570c 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -303,7 +303,7 @@ fn check_reserved_name(cx: &mut Check, ident: &Ident) {
 fn is_unsized(cx: &mut Check, ty: &Type) -> bool {
     let ident = match ty {
         Type::Ident(ident) => ident,
-        Type::Slice(_) | Type::Void(_) => return true,
+        Type::CxxVector(_) | Type::Slice(_) | Type::Void(_) => return true,
         _ => return false,
     };
     ident == CxxString || cx.types.cxx.contains(ident) || cx.types.rust.contains(ident)

